# Nagbot

A bot for automagically sending messages to Owncast chat, at specified intervals.


### Create a config.py
``` 
owncast_url = 'https://<url>'  # The URL of your Owncast server
logfile = ''  # /full/path/to/logfile.txt
auth_bearer = ''  # The API access token for your nagbot. You'll need to create one in the Owncast admin panel. 
nags = ['this is a message', 'this is another message']  # A list of messages to be cycled through
interval =  # The interval, in seconds, between messages. It's an integer, so no quotes.
```

### Setup

Create your venv, we'll call it ".venv", and activate it.

```
pip install --upgrade pip
pip install requests
```

### Run with:

```
.venv/bin/python nagbot.py
```
